 
 <link rel="stylesheet" href="../../assets/css/profile.css">
 <!-- Profile Setting -->
 <div class="container">
    <div class="row min-vh-100 py-4">
        <div class="col-md-7 profile-setting d-flex flex-column align-items-center">
           <!-- Display success message if it exists -->
            <% if (successMessage && successMessage.length > 0) { %>
                <div id="successMessage" class="alert alert-success message">
                <%= successMessage[0] %>
                </div>
            <% } %>

            <!-- Display error message if it exists -->
            <% if (errorMessage && errorMessage.length > 0) { %>
                <div id="errorMessage" class="alert alert-danger message">
                <%= errorMessage[0] %>
                </div>
            <% } %>
            <form method="post" class="py-4" enctype="multipart/form-data"> <!-- Added enctype for file upload -->
                <h6 class="profile-heading text-center">ACCOUNT DETAILS</h6>
                <div class="mt-5 d-flex gap-2 align-content-center">
                    <label for="profile" class="label-text pt-2">Profile : </label>
                    <input type="file" name="profileImage" id="image-upload" accept="image/*" class="profileInput py-2 ps-3" placeholder="Choose Profile Image">
                </div>
                <div class="mt-3 d-flex gap-2">
                    <label for="name" class="label-text pt-2">Name : </label>
                    <input required type="text" name="name" id="profileName" class="profileInput py-2 ps-3" placeholder="Name" value="<%= user.name %>">
                </div>
                <div class="mt-3 d-flex gap-2">
                    <label for="email" class="label-text pt-2">Email Address : </label>
                    <input required type="text" name="email" class="profileInput py-2 ps-3" placeholder="Email Address" value="<%= user.email %>">
                </div>
                <div class="d-flex justify-content-center align-items-center">
                    <button type="submit" class="profilebutton mt-4">Save</button>
                </div>
            </form>
            
            <hr style="color: rgba(0, 0, 0, 0.546); height:1px; width:80%;">
            <!-- Button trigger update password modal -->
            <button type="button" class="updatePasswordButton" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                Update Password
            </button>
            <!-- update password modl -->
            <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                <div class="modal-dialog">
                <div class="modal-content px-4 py-3">
                    <div class="modal-header">
                    <h1 class="modal-title fs-5" id="staticBackdropLabel">Update Password</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <!-- Update Password -->
                        <form action="/update-password" method="POST">
                            <div class="modal-body">
                                <input type="password" required name="oldPassword" class="profileInput py-2 ps-3 w-100 mt-2" placeholder="Enter old password">
                                <input type="password" required name="newPassword" class="profileInput py-2 ps-3 w-100 mt-2" placeholder="Enter new password">
                                <input type="password" required name="confirmPassword" class="profileInput py-2 ps-3 w-100 mt-2 mb-4" placeholder="Enter confirmed password">
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-success px-5 w-100">Update</button>
                            </div>
                        </form>                        
                    </div>
                  </div>
                </div>
            </div>
        </div>
        <div class="col-md-1"></div>
        <div class="col-md-4">
            <div class="ProfileImageShow" id="image-container">
                <img id="uploaded-image" class="profile-img" src="<%= user.profileImage ? '/uploads/' + user.profileImage : '../../assets/images/default.webp' %>" alt="profile">
            </div>
        </div>
    </div>
</div>


<script>
  // JavaScript to handle image selection and display
  const imageUpload = document.getElementById('image-upload');
  const uploadedImage = document.getElementById('uploaded-image');

  imageUpload.addEventListener('change', (e) => {
      const selectedFile = e.target.files[0];

      if (selectedFile) {
          const reader = new FileReader();

          reader.onload = (event) => {
              uploadedImage.src = event.target.result;
          };

          reader.readAsDataURL(selectedFile);

      }
  });
</script>
